"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
require("core-js/modules/web.dom-collections.iterator.js");
var _scrollContext = require("./scrollContext");
var _react = require("react");
var _Button = _interopRequireDefault(require("@mui/material/Button"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function ArrowLeft(props) {
  var showBtnStyle = props.showStyle;
  var hideBtnStyle = props.hideStyle;
  if (showBtnStyle == undefined || hideBtnStyle == undefined) {
    hideBtnStyle = {
      color: "transparent",
      backgroundColor: "transparent",
      zIndex: "50"
    };
    showBtnStyle = {
      color: "antiquewhite",
      backgroundColor: "black",
      zIndex: "50"
    };
  }
  const [btnStyle, setBtnStyle] = (0, _react.useState)(hideBtnStyle);
  var scrollDetails = (0, _react.useContext)(_scrollContext.scrollContext);
  function goLeft() {
    if (!(scrollDetails.first == 0)) {
      scrollDetails.setFirst(scrollDetails.first - props.shiftAmount);
    }
  }
  function showButton() {
    setBtnStyle(showBtnStyle);
  }
  function hideButton() {
    setBtnStyle(hideBtnStyle);
  }
  return /*#__PURE__*/React.createElement(_Button.default, {
    style: btnStyle,
    onMouseEnter: showButton,
    onMouseLeave: hideButton,
    onClick: () => goLeft()
  }, props.children);
}
var _default = ArrowLeft;
exports.default = _default;